------------------------------------------------------------------------
r187 | ckknight | 2008-10-19 17:14:35 +0000 (Sun, 19 Oct 2008) | 1 line
Changed paths:
   A /tags/v1.3.1 (from /trunk:186)

Tagging as v1.3.1.
------------------------------------------------------------------------
r186 | ckknight | 2008-10-19 16:46:14 +0000 (Sun, 19 Oct 2008) | 1 line
Changed paths:
   M /trunk/MoveButtons/MoveButtons.lua
   M /trunk/ShowHide/ShowHide.lua
   M /trunk/locale/enUS.lua
   M /trunk/locale/koKR.lua
   M /trunk/locale/zhCN.lua

change references of the Day/Night indicator to Calendar.
------------------------------------------------------------------------
r185 | 7destiny | 2008-10-19 07:29:54 +0000 (Sun, 19 Oct 2008) | 1 line
Changed paths:
   M /trunk/locale/koKR.lua

koKR Update
------------------------------------------------------------------------
r183 | skinnyfoo | 2008-10-18 11:56:26 +0000 (Sat, 18 Oct 2008) | 1 line
Changed paths:
   M /trunk/Position/Position.lua
   M /trunk/locale/enUS.lua

Added the ability to move the achievement tracker frame.
------------------------------------------------------------------------
r181 | adirelle | 2008-10-15 15:57:57 +0000 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk
   M /trunk/.pkgmeta

Fixed .pkgmeta and svn:externals.
------------------------------------------------------------------------
r179 | stanzilla | 2008-10-14 16:23:41 +0000 (Tue, 14 Oct 2008) | 1 line
Changed paths:
   M /trunk/Chinchilla.toc

Update TOC for WotLK
------------------------------------------------------------------------
r178 | root | 2008-09-29 21:45:12 +0000 (Mon, 29 Sep 2008) | 1 line
Changed paths:
   A /trunk/.pkgmeta
   M /trunk/libs

Facilitate WowAce-on-CurseForge transition
------------------------------------------------------------------------
r176 | root | 2008-09-29 20:57:44 +0000 (Mon, 29 Sep 2008) | 1 line
Changed paths:
   D /tmp/trunk/Chinchilla
   A /trunk (from /tmp/trunk/Chinchilla:175)

Importing old repo data under /trunk
------------------------------------------------------------------------
r173 | ckknight | 2008-08-09 18:56:02 +0000 (Sat, 09 Aug 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Ping/Ping.lua

Chinchilla - Fix pinging in WotLK
------------------------------------------------------------------------
r172 | 7destiny | 2008-07-08 18:18:47 +0000 (Tue, 08 Jul 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla:
- add missing locale
- koKR Update
------------------------------------------------------------------------
r171 | kurax | 2008-07-08 06:19:22 +0000 (Tue, 08 Jul 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: Update zhCN locale
------------------------------------------------------------------------
r170 | 7destiny | 2008-07-06 13:36:32 +0000 (Sun, 06 Jul 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla:
- koKR Update
------------------------------------------------------------------------
r169 | nemes | 2008-07-05 05:40:58 +0000 (Sat, 05 Jul 2008) | 4 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.toc
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/locale/frFR.lua
   M /tmp/trunk/Chinchilla/locale/koKR.lua
   M /tmp/trunk/Chinchilla/locale/zhCN.lua
   M /tmp/trunk/Chinchilla/locale/zhTW.lua

Chinchilla:
- Change the name of the "clock" to "day night indicator"
- Add the new minimap clock, to be introduced in 2.5; this won't appear in 2.4

------------------------------------------------------------------------
r168 | nemes | 2008-07-05 03:57:54 +0000 (Sat, 05 Jul 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua

Chinchilla: Remove "magic number" infinite loop checks as multiple battleground queues calls MiniMapBattlefieldFrame:Show() within the epilon. Machine/timing dependent checks like this should never be used. If someone can replicate the "infinite loop" problem for me, I'll fix it.

------------------------------------------------------------------------
r167 | ckknight | 2008-05-30 21:15:13 +0000 (Fri, 30 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.toc

Chinchilla: fake commit

------------------------------------------------------------------------
r166 | hunterz | 2008-05-29 04:45:31 +0000 (Thu, 29 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Compass/Compass.lua

Chinchilla:
- CHIN-77: Move hideBlizzDirections() call from OnRotateMinimapUpdate() to repositionCompass() to fix Blizzard compass not hiding when Chinchilla Compass module is active. Thanks for Tirdal for providing an idea for a fix.
------------------------------------------------------------------------
r165 | nemes | 2008-05-04 08:04:10 +0000 (Sun, 04 May 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla:
- Better WorldStateCaptureBar locking down, by hooking SetPoint when the frame is created
------------------------------------------------------------------------
r163 | kurax | 2008-04-23 05:05:48 +0000 (Wed, 23 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: Update zhCN locale
------------------------------------------------------------------------
r162 | ckknight | 2008-04-06 16:28:38 +0000 (Sun, 06 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - fix a bug where GetMinimapShape() is called before ADDON_LOADED
------------------------------------------------------------------------
r161 | xinhuan | 2008-04-05 04:14:51 +0000 (Sat, 05 Apr 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Expander/Expander.lua

Chinchilla: Add 2 lines of code to reparent all GatherMate minimap icons to the Chinchilla Expander Minimap and back to the Minimap when being toggled (thanks ck).
------------------------------------------------------------------------
r160 | ckknight | 2008-04-03 16:24:50 +0000 (Thu, 03 Apr 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Expander/Expander.lua

Chinchilla_Expander - fix issues when logging in in combat
CHIN-68
------------------------------------------------------------------------
r158 | seerah | 2008-03-25 03:25:37 +0000 (Tue, 25 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.toc

Chinchilla: toc bumpage, per ck
------------------------------------------------------------------------
r157 | pettigrow | 2008-03-02 15:31:51 +0000 (Sun, 02 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r156 | next96 | 2008-03-02 04:42:14 +0000 (Sun, 02 Mar 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r155 | ckknight | 2008-03-02 00:43:25 +0000 (Sun, 02 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - use a repeating timer to check for new minimap buttons
------------------------------------------------------------------------
r154 | ckknight | 2008-03-01 17:33:47 +0000 (Sat, 01 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/Location/Location.lua
   M /tmp/trunk/Chinchilla/Ping/Ping.lua

Chinchilla - raise framelevel of Ping, Location, Coordinates indicators, so it doesn't conflict with GatherMate.
------------------------------------------------------------------------
r153 | ckknight | 2008-03-01 17:29:15 +0000 (Sat, 01 Mar 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Ping/Ping.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Ping - hook Minimap_OnUpdate, since Blizzard's implementation is buggy, now it will actually fade the ping.
- add options to set how long the ping will last and how long the fade will be.
------------------------------------------------------------------------
r152 | ckknight | 2008-03-01 17:07:57 +0000 (Sat, 01 Mar 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Ping/Ping.lua

Chinchilla_Ping - hook Minimap_SetPing and Minimap_OnClick to properly work with non-round maps.
------------------------------------------------------------------------
r151 | ckknight | 2008-02-28 03:00:49 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Round.tga
   M /tmp/trunk/Chinchilla/Appearance/Border-Tubular-Round.tga

Chinchilla_Appearance - Remove the edge pixel from Blizzard and Tubular round borders

------------------------------------------------------------------------
r150 | chuanhsing | 2008-02-27 10:07:25 +0000 (Wed, 27 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhTW.lua

Chinchilla: update zhTW (thanks zhCN translator Kurax)
------------------------------------------------------------------------
r149 | pettigrow | 2008-02-26 19:03:25 +0000 (Tue, 26 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r148 | 7destiny | 2008-02-25 10:05:42 +0000 (Mon, 25 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r147 | ckknight | 2008-02-25 08:59:18 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/AutoZoom/AutoZoom.lua
   M /tmp/trunk/Chinchilla/Chinchilla.lua
   M /tmp/trunk/Chinchilla/Compass/Compass.lua
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/Expander/Expander.lua
   M /tmp/trunk/Chinchilla/Location/Location.lua
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Ping/Ping.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/RangeCircle/RangeCircle.lua
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   M /tmp/trunk/Chinchilla/TrackingDots/TrackingDots.lua
   M /tmp/trunk/Chinchilla/WheelZoom/WheelZoom.lua

Chinchilla - instead of having modules register tables as options, it now registers functions which returns tables. Once the options are opened, they will be run and cached. This saves roughly 60 KiB, or 20% of the addon's total memory.
------------------------------------------------------------------------
r146 | ckknight | 2008-02-25 08:17:57 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/TrackingDots/TrackingDots.lua

Chinchilla_TrackingDots - use Blizzard instead of Nandini by default.
------------------------------------------------------------------------
r145 | kurax | 2008-02-25 08:11:15 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN localization update
------------------------------------------------------------------------
r144 | ckknight | 2008-02-25 06:04:20 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - simplify some code
------------------------------------------------------------------------
r143 | ckknight | 2008-02-25 05:21:10 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - fix argument order in SetTexCoord
------------------------------------------------------------------------
r142 | ckknight | 2008-02-25 05:17:32 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - fix border appearance for square shape and rotating minimap
------------------------------------------------------------------------
r141 | ckknight | 2008-02-25 04:27:55 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - fix issue with sliders and scaling.
------------------------------------------------------------------------
r140 | ckknight | 2008-02-25 04:26:24 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - fix scaling issue with sliders
------------------------------------------------------------------------
r139 | ckknight | 2008-02-25 03:01:52 +0000 (Mon, 25 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - make WorldStateAlwaysUpFrame not have mouse enabled, doesn't seem to affect functionality.
------------------------------------------------------------------------
r138 | ckknight | 2008-02-25 02:36:16 +0000 (Mon, 25 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla - for positions, make the center of the screen (0, 0).
Note: it really doesn't matter cause it anchors to the closest corner anyway.
------------------------------------------------------------------------
r137 | ckknight | 2008-02-24 22:10:19 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Expander/Expander.lua

Chinchilla_Expander - fix bug with SetBinding.
------------------------------------------------------------------------
r136 | ckknight | 2008-02-24 21:36:09 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Position - add ability to move the WorldStateAlwaysUpFrame
------------------------------------------------------------------------
r135 | ckknight | 2008-02-24 19:17:21 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua

Chinchilla_ShowHide - remove debug statements
------------------------------------------------------------------------
r134 | ckknight | 2008-02-24 19:10:28 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua

Chinchilla_ShowHide - use 1e-5 instead of 1e5 as epsilon
------------------------------------------------------------------------
r133 | ckknight | 2008-02-24 19:00:51 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/RangeCircle/RangeCircle.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_RangeCircle - allow for separate settings in/out of combat.
------------------------------------------------------------------------
r132 | pettigrow | 2008-02-24 18:24:59 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r131 | next96 | 2008-02-24 14:54:30 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r130 | kurax | 2008-02-24 14:43:45 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN localization update
------------------------------------------------------------------------
r129 | kurax | 2008-02-24 14:16:46 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN localization update
------------------------------------------------------------------------
r128 | ckknight | 2008-02-24 14:05:41 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   A /tmp/trunk/Chinchilla/RangeCircle
   A /tmp/trunk/Chinchilla/RangeCircle/Outline.tga
   A /tmp/trunk/Chinchilla/RangeCircle/RangeCircle.lua
   A /tmp/trunk/Chinchilla/RangeCircle/Solid.tga
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - add new module, RangeCircle, which will show a circle for you to help with tracking.
------------------------------------------------------------------------
r127 | next96 | 2008-02-24 13:57:09 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r126 | ckknight | 2008-02-24 13:27:31 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Expander/Expander.lua

Chinchilla_Expander - set base size to 140, not 160
------------------------------------------------------------------------
r125 | ckknight | 2008-02-24 13:24:34 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Expander/Expander.lua

Chinchilla_Expander - don't disable by default
------------------------------------------------------------------------
r124 | ckknight | 2008-02-24 13:21:05 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Expander/Expander.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Expander - fix localization
------------------------------------------------------------------------
r123 | ckknight | 2008-02-24 13:12:37 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Border-Chinchilla-Round.tga
   A /tmp/trunk/Chinchilla/Expander
   A /tmp/trunk/Chinchilla/Expander/Expander.lua
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - add Expander module, which will allow you to set a keybinding that will create a huge minimap in the center of the screen.
- make Chinchilla border texture not touch the sides
------------------------------------------------------------------------
r122 | ckknight | 2008-02-24 12:00:24 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - fix issue with attach_set
------------------------------------------------------------------------
r121 | ckknight | 2008-02-24 11:15:13 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - when using rotateMinimap and the ROUND shape, the border will now rotate in a very cool fashion. Check out with the Alliance texture or the Chinchilla texture.
If you use the Chinchilla texture and start spinning to the right, you'll see the little chinchilla chase the north tag. I find it hilarious and oddly hypnotizing.
------------------------------------------------------------------------
r120 | ckknight | 2008-02-24 10:03:47 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Border-Alliance-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Alliance-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Alliance.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Blizzard.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Chinchilla-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Chinchilla-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Chinchilla.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Flat-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Flat-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Flat.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Thin-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Thin-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Thin.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Tooltip-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Tooltip-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Tooltip.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Tubular-Round.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Tubular-Square.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Tubular.tga

Chinchilla_Appearance - instead of using 1 texture per border style, separate the round and square borders, so that I can do fun rotating stuff later.
change Chinchilla:AddBorderStyle to take another path string.
------------------------------------------------------------------------
r119 | ckknight | 2008-02-24 09:34:10 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - add support for the Mac Recording button. (Only shows for macs)
------------------------------------------------------------------------
r118 | ckknight | 2008-02-24 08:45:46 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - parentheses are evil
------------------------------------------------------------------------
r117 | kurax | 2008-02-24 08:30:55 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN localization update
------------------------------------------------------------------------
r116 | ckknight | 2008-02-24 08:02:10 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-BOTTOMLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-BOTTOMLEFT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-BOTTOMRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-BOTTOMRIGHT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-TOPLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-TOPLEFT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-TOPRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-TOPRIGHT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-ROUND.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-ROUND.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-BOTTOM.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-BOTTOM.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-LEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-LEFT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-RIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-RIGHT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-TOP.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-TOP.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SQUARE.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SQUARE.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-BOTTOMLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-BOTTOMLEFT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-BOTTOMRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-BOTTOMRIGHT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-TOPLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-TOPLEFT.tga
   D /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-TOPRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-TOPRIGHT.tga

Chinchilla - replace blp masks with tga masks, which at a much higher quality are about half the size. Apparently Blizzard now supports tga masks.
------------------------------------------------------------------------
r115 | ckknight | 2008-02-24 07:56:00 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - only clamp to screen if not attached to minimap.
------------------------------------------------------------------------
r114 | ckknight | 2008-02-24 07:50:29 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - support FuBar minimap buttons for button border alpha.
------------------------------------------------------------------------
r113 | ckknight | 2008-02-24 07:28:31 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - internally, make buttons anchor to the closest edge of the screen instead of the bottomleft of the UIParent.
CHIN-34
------------------------------------------------------------------------
r112 | next96 | 2008-02-24 06:49:17 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- typo fix
------------------------------------------------------------------------
r111 | next96 | 2008-02-24 06:47:10 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r110 | next96 | 2008-02-24 06:45:18 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r109 | ckknight | 2008-02-24 06:30:25 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - add separate options for minimap opacity in/out of combat
------------------------------------------------------------------------
r108 | ckknight | 2008-02-24 06:02:00 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - fix modules.xml
------------------------------------------------------------------------
r107 | ckknight | 2008-02-24 03:48:06 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua

Chinchilla_ShowHide - keep track of the location bar's show/hide status and hide if shown.
------------------------------------------------------------------------
r106 | ckknight | 2008-02-24 02:54:01 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - allow rotateMinimap users to use the square shape as well as round.
------------------------------------------------------------------------
r105 | ckknight | 2008-02-24 02:46:23 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - work properly with tricorner textures
------------------------------------------------------------------------
r104 | ckknight | 2008-02-24 02:45:51 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   D /tmp/trunk/Chinchilla/Appearance/Mask-Corner-BottomLeft.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Corner-BottomRight.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Corner-TopLeft.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Corner-TopRight.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Round.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Side-Bottom.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Side-Left.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Side-Right.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Side-Top.blp
   D /tmp/trunk/Chinchilla/Appearance/Mask-Square.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-BOTTOMLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-BOTTOMRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-TOPLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-CORNER-TOPRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-ROUND.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-BOTTOM.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-LEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-RIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SIDE-TOP.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-SQUARE.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-BOTTOMLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-BOTTOMRIGHT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-TOPLEFT.blp
   A /tmp/trunk/Chinchilla/Appearance/Masks/Mask-TRICORNER-TOPRIGHT.blp

Chinchilla - rename mask files in Appearance
- add tricorner masks in Appearance.
------------------------------------------------------------------------
r103 | ckknight | 2008-02-24 02:39:22 +0000 (Sun, 24 Feb 2008) | 2 lines
Changed paths:
   D /tmp/trunk/Chinchilla/Blips
   M /tmp/trunk/Chinchilla/Chinchilla.lua
   A /tmp/trunk/Chinchilla/TrackingDots
   A /tmp/trunk/Chinchilla/TrackingDots/Blip-BlizzardBig.tga
   A /tmp/trunk/Chinchilla/TrackingDots/Blip-GlassSpheres.tga
   A /tmp/trunk/Chinchilla/TrackingDots/Blip-Nandini.tga
   A /tmp/trunk/Chinchilla/TrackingDots/Blip-SolidSpheres.tga
   A /tmp/trunk/Chinchilla/TrackingDots/TrackingDots.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - rename Blips module to TrackingDots
- rename Chinchilla:AddBlipStyle() => Chinchilla:AddTrackingDotStyle()
------------------------------------------------------------------------
r102 | pettigrow | 2008-02-24 01:37:19 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r101 | ckknight | 2008-02-23 23:42:28 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Blips/Blips.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Blips - rename Look to Preview
------------------------------------------------------------------------
r100 | ckknight | 2008-02-23 23:36:30 +0000 (Sat, 23 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Location/Location.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Location - Add option to show a close button, to close the minimap. (on by default)
CHIN-36
------------------------------------------------------------------------
r99 | ckknight | 2008-02-23 22:48:14 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   A /tmp/trunk/Chinchilla/Blips/Blip-BlizzardBig.tga
   A /tmp/trunk/Chinchilla/Blips/Blip-GlassSpheres.tga
   A /tmp/trunk/Chinchilla/Blips/Blip-SolidSpheres.tga
   M /tmp/trunk/Chinchilla/Blips/Blips.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Blips - add 3 more blip textures from Nandini
------------------------------------------------------------------------
r98 | ckknight | 2008-02-23 22:40:18 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Blips/Blips.lua
   M /tmp/trunk/Chinchilla/Chinchilla.lua

Chinchilla - add API method Chinchilla:AddBlipStyle("english", "localized", "path"), so external addons can supply their own blip textures.
------------------------------------------------------------------------
r97 | ckknight | 2008-02-23 22:35:52 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.lua

Chinchilla - add blank method Chinchilla:AddBorderStyle(), which will be replaced once the Appearance module loads. If the module never loads (the user deleted it), external addons won't break by calling it.
------------------------------------------------------------------------
r96 | ckknight | 2008-02-23 22:33:34 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla - add API method Chinchilla:AddBorderStyle("english", "localized", "path"), so external addons can supply their own border textures.
------------------------------------------------------------------------
r95 | ckknight | 2008-02-23 22:16:28 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - add option to set which mouse button to use when opening the map.
------------------------------------------------------------------------
r94 | kurax | 2008-02-23 03:35:08 +0000 (Sat, 23 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN locale update
------------------------------------------------------------------------
r93 | pettigrow | 2008-02-22 18:21:36 +0000 (Fri, 22 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r92 | ckknight | 2008-02-22 17:36:09 +0000 (Fri, 22 Feb 2008) | 2 lines
Changed paths:
   A /tmp/trunk/Chinchilla/Blips
   A /tmp/trunk/Chinchilla/Blips/Blip-Nandini.tga
   A /tmp/trunk/Chinchilla/Blips/Blips.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - add Blips module, which allows you to change the blips on the minimap.
Add Nandini's blip texture, make it the default.
------------------------------------------------------------------------
r91 | kurax | 2008-02-22 07:07:43 +0000 (Fri, 22 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN locale update
------------------------------------------------------------------------
r90 | next96 | 2008-02-22 05:47:16 +0000 (Fri, 22 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r89 | ckknight | 2008-02-22 04:10:17 +0000 (Fri, 22 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Ping/Ping.lua

Chinchilla_Ping - test the ping when you change any other visible options
------------------------------------------------------------------------
r88 | ckknight | 2008-02-22 04:09:12 +0000 (Fri, 22 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Location/Location.lua
   M /tmp/trunk/Chinchilla/Ping/Ping.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Ping - add ability to position like Coordinates and Location.
- when moving, test the ping, which shows the indicator.
- bugfix in Location
------------------------------------------------------------------------
r87 | ckknight | 2008-02-22 03:49:51 +0000 (Fri, 22 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Location/Location.lua

Chinchilla_Location - color by PvP zone info instead of always yellow.
CHIN-27
------------------------------------------------------------------------
r86 | kurax | 2008-02-21 15:10:56 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN locale update
------------------------------------------------------------------------
r85 | wang | 2008-02-21 14:21:36 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla
- zhCN update
------------------------------------------------------------------------
r84 | ellipsis | 2008-02-21 13:42:52 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Compass/Compass.lua

Chinchilla_Compass: fix for compass color not applying on login (CHIN-26).
------------------------------------------------------------------------
r83 | next96 | 2008-02-21 09:28:23 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r82 | ckknight | 2008-02-21 08:53:45 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.lua

Chinchilla - add option to rotate the minimap in the main options (note: this is the same thing as in the interface options)
------------------------------------------------------------------------
r81 | ckknight | 2008-02-21 08:49:36 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - force a framelevel reset for Minimap after map rotation changes, so that it doesn't cause the Minimap to seemingly lock up.
CHIN-24
------------------------------------------------------------------------
r80 | ckknight | 2008-02-21 08:42:21 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Compass/Compass.lua

Chinchilla_Compass - fix a nil bug with minimap rotation changing.
------------------------------------------------------------------------
r79 | ckknight | 2008-02-21 08:39:53 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua

Chinchilla_Coordinates - fix a nil bug.
CHIN-25
------------------------------------------------------------------------
r78 | ckknight | 2008-02-21 07:52:44 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Border-Chinchilla.tga
   M /tmp/trunk/Chinchilla/Appearance/Border-Tooltip.tga

Chinchilla_Appearance - update Tooltip texture
- add Chinchilla texture, which is positively hilarious.
------------------------------------------------------------------------
r77 | ckknight | 2008-02-21 07:43:03 +0000 (Thu, 21 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   A /tmp/trunk/Chinchilla/Location
   A /tmp/trunk/Chinchilla/Location/Location.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - add Location module, which shows the zone you're currently in (replaces Blizzard's)
- make Coordinates positioning not mess up on scaling
- make ShowHide handle the Blizzard location bar sanely with the Location module.
------------------------------------------------------------------------
r76 | ckknight | 2008-02-21 06:59:48 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Coordinates - add ability to freely move the coordinates indicator.
CHIN-20
------------------------------------------------------------------------
r75 | next96 | 2008-02-21 06:53:06 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r74 | ckknight | 2008-02-21 06:36:50 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_MoveButtons - add ability to set the minimap radius, so buttons can be placed sanely.
------------------------------------------------------------------------
r73 | ckknight | 2008-02-21 06:27:32 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - add option to set how large the border texture is.
------------------------------------------------------------------------
r72 | ckknight | 2008-02-21 06:20:49 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/AutoZoom/AutoZoom.lua
   M /tmp/trunk/Chinchilla/Compass/Compass.lua
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Ping/Ping.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla - change type = 'range' to type = 'number' in options
------------------------------------------------------------------------
r71 | ckknight | 2008-02-21 06:19:17 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/locale/frFR.lua
   M /tmp/trunk/Chinchilla/locale/koKR.lua
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla_Appearance - CHIN-23
- add ability to change frame level (in addition to strata)
------------------------------------------------------------------------
r70 | ckknight | 2008-02-21 06:12:22 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - add localization for the Compass module
------------------------------------------------------------------------
r69 | ckknight | 2008-02-21 06:06:00 +0000 (Thu, 21 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/AutoZoom/AutoZoom.lua
   M /tmp/trunk/Chinchilla/Chinchilla.lua
   A /tmp/trunk/Chinchilla/Compass
   A /tmp/trunk/Chinchilla/Compass/Compass.lua
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Ping/Ping.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   M /tmp/trunk/Chinchilla/WheelZoom/WheelZoom.lua
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - make the way versioning works a bit more streamlined
- add Compass module, works with map rotation as  well!
- make Appearance force a round minimap when using map rotation (otherwise it looks weird)
------------------------------------------------------------------------
r68 | next96 | 2008-02-21 01:33:25 +0000 (Thu, 21 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r67 | ellipsis | 2008-02-20 21:03:37 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla: comment out some fixes that are no longer needed.
------------------------------------------------------------------------
r66 | ellipsis | 2008-02-20 20:42:26 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla: Fix for frame stacking when minimap is moved to left side of the screen.
------------------------------------------------------------------------
r65 | ckknight | 2008-02-20 20:07:18 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua

Chinchilla_Coordinates - properly show again after not having coordinates.
------------------------------------------------------------------------
r64 | ckknight | 2008-02-20 16:15:55 +0000 (Wed, 20 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   D /tmp/trunk/Chinchilla/Appearance/Border-Alliance-Round.blp
   D /tmp/trunk/Chinchilla/Appearance/Border-Alliance-Square.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Alliance.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Round.blp
   D /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Square.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Blizzard.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Flat.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Thin-Round.blp
   D /tmp/trunk/Chinchilla/Appearance/Border-Thin-Square.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Thin.tga
   D /tmp/trunk/Chinchilla/Appearance/Border-Tooltip-Round.blp
   D /tmp/trunk/Chinchilla/Appearance/Border-Tooltip-Square.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Tooltip.tga
   A /tmp/trunk/Chinchilla/Appearance/Border-Tubular.tga
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - instead of having separate round and square textures, use a single texture with round on the left and square on the right.
Also use tgas instead of blps.
And adding the Tubular and Flat borders from Nandini
------------------------------------------------------------------------
r63 | kurax | 2008-02-20 16:02:19 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN locale update
------------------------------------------------------------------------
r62 | pettigrow | 2008-02-20 12:15:10 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r61 | pettigrow | 2008-02-20 07:07:15 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r60 | next96 | 2008-02-20 04:48:02 +0000 (Wed, 20 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r59 | next96 | 2008-02-20 04:21:10 +0000 (Wed, 20 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r58 | ckknight | 2008-02-19 23:30:54 +0000 (Tue, 19 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Border-Tooltip-Round.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Tooltip-Square.blp
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - add Tooltip border style (thanks, Nandini)
------------------------------------------------------------------------
r57 | ckknight | 2008-02-19 19:50:22 +0000 (Tue, 19 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Border-Alliance-Round.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Alliance-Square.blp
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - add Nandini's Alliance border texture.
------------------------------------------------------------------------
r56 | ckknight | 2008-02-19 19:47:56 +0000 (Tue, 19 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - instead of being able to change the border opacity, allow the whole color to change, so you can set r, g, b as well as alpha.
------------------------------------------------------------------------
r55 | ckknight | 2008-02-19 19:42:29 +0000 (Tue, 19 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Border-Thin-Round.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Thin-Square.blp
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - add ability to change border style
- add Nandini's Thin border.
- make the border's width and height 80x80, properly.
------------------------------------------------------------------------
r54 | ckknight | 2008-02-19 19:26:16 +0000 (Tue, 19 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Round.blp
   A /tmp/trunk/Chinchilla/Appearance/Border-Blizzard-Square.blp
   D /tmp/trunk/Chinchilla/Appearance/Corner-BottomLeft.blp
   D /tmp/trunk/Chinchilla/Appearance/Corner-BottomRight.blp
   D /tmp/trunk/Chinchilla/Appearance/Corner-TopLeft.blp
   D /tmp/trunk/Chinchilla/Appearance/Corner-TopRight.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Corner-BottomLeft.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Corner-BottomRight.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Corner-TopLeft.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Corner-TopRight.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Round.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Side-Bottom.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Side-Left.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Side-Right.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Side-Top.blp
   A /tmp/trunk/Chinchilla/Appearance/Mask-Square.blp
   D /tmp/trunk/Chinchilla/Appearance/Side-Bottom.blp
   D /tmp/trunk/Chinchilla/Appearance/Side-Left.blp
   D /tmp/trunk/Chinchilla/Appearance/Side-Right.blp
   D /tmp/trunk/Chinchilla/Appearance/Side-Top.blp
   D /tmp/trunk/Chinchilla/Appearance/Square.blp
   D /tmp/trunk/Chinchilla/Appearance/Tex-Square.blp

Chinchilla_Appearance - use Nandini's textures instead of the ones I had previously.
- note: no option to change the border style yet.
------------------------------------------------------------------------
r53 | ellipsis | 2008-02-19 14:39:01 +0000 (Tue, 19 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla: Attempted fix for Mac issue causing minimap to go black sometimes.
------------------------------------------------------------------------
r52 | ckknight | 2008-02-17 19:46:31 +0000 (Sun, 17 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - manually refresh after CVAR_UPDATE
------------------------------------------------------------------------
r51 | ckknight | 2008-02-17 19:37:34 +0000 (Sun, 17 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - force alpha to 100% indoors.
------------------------------------------------------------------------
r50 | ckknight | 2008-02-17 06:10:08 +0000 (Sun, 17 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - properly position minimap when scaled > 100%
------------------------------------------------------------------------
r49 | ckknight | 2008-02-16 18:33:57 +0000 (Sat, 16 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua

Chinchilla_Appearance - when going indoors with an alpha < 100%, it'll set to 100% for a split second and then go back to the previous alpha. This prevents a Blizzard fuckup which causes the minimap to go black when going indoors with alpha < 100%.
------------------------------------------------------------------------
r48 | ckknight | 2008-02-16 17:23:52 +0000 (Sat, 16 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua

Chinchilla_ShowHide - add in a provision to not create infinite loops
------------------------------------------------------------------------
r47 | ckknight | 2008-02-16 17:15:15 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - make positioning work properly when the minimap is scaled or the UI is scaled. CHIN-13
Chinchilla_MoveButtons - take scale into account when moving buttons.
------------------------------------------------------------------------
r46 | ckknight | 2008-02-16 16:48:46 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - hide bar movers when module is disabled
CHIN-11
------------------------------------------------------------------------
r45 | ckknight | 2008-02-16 16:45:19 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - fix issue with movers snapping to the sides of the screen
CHIN-10
------------------------------------------------------------------------
r44 | ckknight | 2008-02-16 16:41:48 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/AutoZoom/AutoZoom.lua

Chinchilla_AutoZoom - make the gradual zoom out work properly and not have to zoom out every timepiece.
CHIN-12
------------------------------------------------------------------------
r43 | pettigrow | 2008-02-16 12:20:20 +0000 (Sat, 16 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.toc
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r42 | feu | 2008-02-16 12:01:53 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla:
- Updated frFR localization
------------------------------------------------------------------------
r41 | next96 | 2008-02-16 11:23:56 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r40 | kurax | 2008-02-15 23:02:29 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN update
------------------------------------------------------------------------
r39 | ckknight | 2008-02-15 22:57:58 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua

Chinchilla_Position - fix issue where dragging the minimap off-screen makes it seem odd dragging it back due to the way :SetClampedToScreen works
------------------------------------------------------------------------
r38 | ckknight | 2008-02-15 22:40:14 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.lua
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - add option to the base menu to lock, which makes both MoveButtons and Position to lock, and potentially any future modules.
CHIN-8
------------------------------------------------------------------------
r37 | ckknight | 2008-02-15 17:14:42 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua

Chinchilla_Coordinates - hide in places that can't get coordinates (e.g. instances)
CHIN-7
------------------------------------------------------------------------
r36 | pettigrow | 2008-02-15 16:51:32 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla: frFR Update
------------------------------------------------------------------------
r35 | next96 | 2008-02-15 15:02:53 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r34 | kurax | 2008-02-15 09:39:19 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla: zhCN update
------------------------------------------------------------------------
r33 | ckknight | 2008-02-15 07:16:48 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   A /tmp/trunk/Chinchilla/Ping
   A /tmp/trunk/Chinchilla/Ping/Ping.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua
   M /tmp/trunk/Chinchilla/modules.xml

Chinchilla - add Ping module
CHIN-2
------------------------------------------------------------------------
r32 | ckknight | 2008-02-15 06:23:37 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_MoveButtons - add ability to move buttons freely, i.e. not attached to the minimap.
CHIN-5
------------------------------------------------------------------------
r31 | ckknight | 2008-02-15 05:42:32 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_MoveButtons - add ability to lock the buttons
CHIN-6
------------------------------------------------------------------------
r30 | ckknight | 2008-02-15 05:35:03 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Appearance - add the option to change the minimap button border opacity. Doesn't work on all buttons (e.g. the clock and zoom in/out as well as any 3rd party stuff).
------------------------------------------------------------------------
r29 | next96 | 2008-02-15 05:28:04 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Update locale koKR
------------------------------------------------------------------------
r28 | ckknight | 2008-02-15 05:16:47 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla_Position - add ability to lock the minimap in place (e.g. make it not draggable)
------------------------------------------------------------------------
r27 | next96 | 2008-02-15 04:13:17 +0000 (Fri, 15 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/koKR.lua

Chinchilla :
- Add locale koKR
------------------------------------------------------------------------
r26 | pettigrow | 2008-02-14 22:32:09 +0000 (Thu, 14 Feb 2008) | 3 lines
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.toc
   M /tmp/trunk/Chinchilla/embeds.xml
   M /tmp/trunk/Chinchilla/libs
   M /tmp/trunk/Chinchilla/locale/frFR.lua

Chinchilla:
- Added frFR locale
- Updated embeds (LibRockLocale-1.0 was missing)
------------------------------------------------------------------------
r25 | kurax | 2008-02-14 20:57:42 +0000 (Thu, 14 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla:
- zhCN fix
------------------------------------------------------------------------
r24 | ckknight | 2008-02-14 20:53:32 +0000 (Thu, 14 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/locale/enUS.lua

Chinchilla - fix Coordinates description
------------------------------------------------------------------------
r23 | kurax | 2008-02-14 20:51:51 +0000 (Thu, 14 Feb 2008) | 2 lines
Changed paths:
   M /tmp/trunk/Chinchilla/locale/zhCN.lua

Chinchilla:
- zhCN locale added (Fast enough to win a reward eh?). And description for the coordinates module is wrong, please fix it.
------------------------------------------------------------------------
r22 | ckknight | 2008-02-14 19:04:33 +0000 (Thu, 14 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   M /tmp/trunk/Chinchilla/AutoZoom/AutoZoom.lua
   M /tmp/trunk/Chinchilla/Chinchilla.lua
   M /tmp/trunk/Chinchilla/Chinchilla.toc
   M /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   M /tmp/trunk/Chinchilla/Position/Position.lua
   M /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   M /tmp/trunk/Chinchilla/WheelZoom/WheelZoom.lua
   A /tmp/trunk/Chinchilla/locale
   A /tmp/trunk/Chinchilla/locale/deDE.lua
   A /tmp/trunk/Chinchilla/locale/enUS.lua
   A /tmp/trunk/Chinchilla/locale/esES.lua
   A /tmp/trunk/Chinchilla/locale/frFR.lua
   A /tmp/trunk/Chinchilla/locale/koKR.lua
   A /tmp/trunk/Chinchilla/locale/zhCN.lua
   A /tmp/trunk/Chinchilla/locale/zhTW.lua

Chinchilla - add in localization support
------------------------------------------------------------------------
r21 | ckknight | 2008-02-14 18:07:11 +0000 (Thu, 14 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/Chinchilla.toc

Chinchilla - add X-IssueTracker
------------------------------------------------------------------------
r20 | ckknight | 2008-02-14 16:19:57 +0000 (Thu, 14 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - add in a check to make sure that OnDragStop is only called after OnDragStart.
------------------------------------------------------------------------
r19 | ckknight | 2008-02-14 16:03:24 +0000 (Thu, 14 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua

Chinchilla_MoveButtons - get the initial position of the buttons in a saner fashion, allowing for enable/disable to look smoother.
------------------------------------------------------------------------
r18 | ckknight | 2008-02-14 08:54:01 +0000 (Thu, 14 Feb 2008) | 1 line
Changed paths:
   M /tmp/trunk/Chinchilla/embeds.xml
   A /tmp/trunk/Chinchilla/libs

Chinchilla - add svn:externals and lib references
------------------------------------------------------------------------
r17 | ckknight | 2008-02-14 08:20:21 +0000 (Thu, 14 Feb 2008) | 2 lines
Changed paths:
   A /tmp/trunk/Chinchilla
   A /tmp/trunk/Chinchilla/Appearance
   A /tmp/trunk/Chinchilla/Appearance/Appearance.lua
   A /tmp/trunk/Chinchilla/Appearance/Corner-BottomLeft.blp
   A /tmp/trunk/Chinchilla/Appearance/Corner-BottomRight.blp
   A /tmp/trunk/Chinchilla/Appearance/Corner-TopLeft.blp
   A /tmp/trunk/Chinchilla/Appearance/Corner-TopRight.blp
   A /tmp/trunk/Chinchilla/Appearance/Side-Bottom.blp
   A /tmp/trunk/Chinchilla/Appearance/Side-Left.blp
   A /tmp/trunk/Chinchilla/Appearance/Side-Right.blp
   A /tmp/trunk/Chinchilla/Appearance/Side-Top.blp
   A /tmp/trunk/Chinchilla/Appearance/Square.blp
   A /tmp/trunk/Chinchilla/Appearance/Tex-Square.blp
   A /tmp/trunk/Chinchilla/AutoZoom
   A /tmp/trunk/Chinchilla/AutoZoom/AutoZoom.lua
   A /tmp/trunk/Chinchilla/Chinchilla.lua
   A /tmp/trunk/Chinchilla/Chinchilla.toc
   A /tmp/trunk/Chinchilla/Coordinates
   A /tmp/trunk/Chinchilla/Coordinates/Coordinates.lua
   A /tmp/trunk/Chinchilla/MoveButtons
   A /tmp/trunk/Chinchilla/MoveButtons/MoveButtons.lua
   A /tmp/trunk/Chinchilla/Position
   A /tmp/trunk/Chinchilla/Position/Position.lua
   A /tmp/trunk/Chinchilla/ShowHide
   A /tmp/trunk/Chinchilla/ShowHide/ShowHide.lua
   A /tmp/trunk/Chinchilla/WheelZoom
   A /tmp/trunk/Chinchilla/WheelZoom/WheelZoom.lua
   A /tmp/trunk/Chinchilla/embeds.xml
   A /tmp/trunk/Chinchilla/icon.tga
   A /tmp/trunk/Chinchilla/modules.xml

Chinchilla - initial commit
Minimap addon of awesomeness. *chewing sound*. It'll nibble your hay pellets.
------------------------------------------------------------------------
